%define pkg vm

Summary: Emacs VM mailreader
Name: emacs-%{pkg}
Version: 7.19
Release: 3%{?dist}
URL: http://www.wonderworks.com/vm/
Source0: http://www.seanet.com/~kylemonger/vm/%{pkg}-%{version}.tar.gz
Patch0: vm-stdlib-patch.diff
License: GPL
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: emacs
Requires(pre): /sbin/install-info 
Requires(post): /sbin/install-info 
Buildrequires: emacs texinfo

%description
VM (View Mail) is an Emacs subsystem that allows UNIX mail to be read
and disposed of within Emacs.  Commands exist to do the normal things
expected of a mail user agent, such as generating replies, saving
messages to folders, deleting messages and so on.  There are other
more advanced commands that do tasks like bursting and creating
digests, message forwarding, and organizing message presentation
according to various criteria.

%package el
Group: Applications/Internet
Summary: Elisp source files for VM mailreader for emacs
Requires: %{name} = %{version}-%{release}

%description el 
The %{name}-el package contains the elisp source files for the %{name}
package. It is not necessary to install this if you want to run vm.

%prep
%setup -q -n %{pkg}-%{version}
%patch0 -p1 

%build
%define pkgdir %{_datadir}/emacs/site-lisp/vm
%define pixmapdir %{pkgdir}/pixmaps

make %{?_smp_mflags} all \
	prefix=%{_prefix} \
  	INFODIR=%{_infodir} \
  	LISPDIR=%{pkgdir} \
  	BINDIR=%{_bindir} \
  	PIXMAPDIR=%{pixmapdir}

%install
rm -rf %{buildroot}
make install \
  	prefix=%{buildroot}%{_prefix} \
  	INFODIR=%{buildroot}%{_infodir} \
  	LISPDIR=%{buildroot}%{pkgdir} \
  	BINDIR=%{buildroot}%{_bindir} \
  	PIXMAPDIR=%{buildroot}%{pixmapdir}

%define startd %{_datadir}/emacs/site-lisp/site-start.d/
%define initfile %{startd}/%{pkg}-mode-init.el

# Create initialization file.
install -d %{buildroot}/%{startd}
cat > %{buildroot}/%{initfile} <<EOF
(setq vm-toolbar-pixmap-directory "%{pixmapdir}")
(setq vm-image-directory "%{pixmapdir}")
(autoload 'vm "vm" "Start VM on your primary inbox." t)
(autoload 'vm-other-frame "vm" "Like \`vm' but starts in another frame." t)
(autoload 'vm-visit-folder "vm" "Start VM on an arbitrary folder." t)
(autoload 'vm-visit-virtual-folder "vm" "Visit a VM virtual folder." t)
(autoload 'vm-mode "vm" "Run VM major mode on a buffer" t)
(autoload 'vm-mail "vm" "Send a mail message using VM." t)
(autoload 'vm-submit-bug-report "vm" "Send a bug report about VM." t)
EOF

%clean
rm -rf %{buildroot}

%post 
# Without the --entry part here, we get a malformed entry in info.
/sbin/install-info \
  --entry="* VM: (vm).       An Emacs mailreader" \
  %{_infodir}/%{name}.info.gz %{_infodir}/dir 2>/dev/null || :

%preun
if [ "$1" = "0" ] ; then 
 /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir 2>/dev/null || :
fi

%files
%defattr(-,root,root,-)
%doc README COPYING
%doc %{_infodir}/*
%{_bindir}/*
%{_datadir}/emacs/site-lisp/vm/pixmaps/
%{_datadir}/emacs/site-lisp/vm/*.elc
%{initfile}
%dir %{pkgdir}

%files el
%defattr(-,root,root,-)
%{pkgdir}/*.el

%changelog
* Tue Jun 20 2006 Jonathan G. Underwood <jonathan.underwood@gmail.com> - 7.19-3
- Change group to Applications/Internet
- Add release tag to the Requires for the -el package

* Tue May 23 2006 Jonathan G. Underwood <jonathan.underwood@gmail.com> - 7.19-2
- Clean up spec file

* Fri Sep  2 2005 Jonathan Underwood <jonathan.underwood@gmail.com> - 7.19-1.fc4.jgu
- Initial build
- Generate vm-mode-init.el
- Separate out *.el files into -el package
- Added patch to remove warnings in the decode and encode programs
